## NMSettingDummy NMSettingDummy — Describes connection properties for dummy interfaces |

## Functions

NMSetting * | nm_setting_dummy_new ()

## Types and Values

#define | NM_SETTING_DUMMY_SETTING_NAME
| NMSettingDummy

## Object Hierarchy

        GObject
        ╰── NMSetting
            ╰── NMSettingDummy

## Description

The NMSettingDummy object is a NMSetting subclass that describes properties necessary for connection to dummy devices

## Functions

### nm_setting_dummy_new ()

    NMSetting *
    nm_setting_dummy_new (void);

Creates a new NMSettingDummy object with default values.

#### Returns

the new empty NMSettingDummy object.

[transfer full]

Since: 1.8

## Types and Values

### NM_SETTING_DUMMY_SETTING_NAME

    #define NM_SETTING_DUMMY_SETTING_NAME         "dummy"

### NMSettingDummy

    typedef struct _NMSettingDummy NMSettingDummy;

Dummy Link Settings